#!/bin/bash

cd Host_BENEFICIARY/cflow-1.4

autoreconf -i --force
./configure CFLAGS="-std=gnu99 --coverage -pthread" LDFLAGS="--coverage -pthread"
make

# remove old coverage information! 

find . -type f -name '*.gcda' -delete

cd ../../TestSuites

# Regression Tests
./Regression.sh

# Augmented Regression Tests
./AugmentedRegression.sh

# Acceptance Tests
./AcceptanceTestSuite.sh

# Generate Coverage Report

cd ../Host_BENEFICIARY/cflow-1.4

lcov --capture --directory src --output-file coverage.info

genhtml coverage.info --output-directory out

mv out ../../TestSuites/ResultsCoverage

